"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var request = require("request");
var Facebook = /** @class */ (function () {
    function Facebook(bot) {
        this.bot = bot;
    }
    Facebook.prototype.upload = function (attachment) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var options = {
                uri: 'https://graph.facebook.com/v2.6/me/message_attachments',
                qs: {
                    access_token: process.env.RECIME_FACEBOOK_ACCESS_TOKEN || _this.bot.config.RECIME_FACEBOOK_ACCESS_TOKEN
                },
                method: 'POST',
                json: {
                    message: {
                        attachment: {
                            type: attachment.type,
                            payload: {
                                is_reusable: true,
                                url: attachment.url
                            }
                        }
                    }
                }
            };
            request(options, function (err, response, body) {
                if (err) {
                    return reject(err);
                }
                if (body.error) {
                    return reject(body.error);
                }
                resolve(body);
            });
        });
    };
    return Facebook;
}());
exports.Facebook = Facebook;
